• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

「テンプレート:サーバー要件」の版間の差分

提供: WordPress Codex 日本語版
移動先: 案内検索
(2009-11-09T15:52:40 Otto42 版をもとに 2.6〜2.9 の情報を追加)
(全共通の mod_rewrite を何度も書かずまとめた。また、関連情報も追加。)
1行目: 1行目:
'' '''バージョン 2.9 系''' のサーバ要件:''
+
<!-- include として使われているため、=== の見出しから始めています -->
 +
=== バージョン 2.9 系 ===
 
* [[用語集#PHP|PHP]] バージョン 4.3 以上
 
* [[用語集#PHP|PHP]] バージョン 4.3 以上
 
* [[用語集#MySQL|MySQL]] バージョン 4.1.2 以上
 
* [[用語集#MySQL|MySQL]] バージョン 4.1.2 以上
** ''(オプション)'' [[用語集#Apache|Apache]] <code>[[用語集#mod_rewrite|mod_rewrite]]</code> モジュール([[パーマリンクの使い方|パーマリンク]] と呼ばれる簡潔な URI<!-- clean URIs --> のため)
 
  
'' '''バージョン 2.5〜2.8 系''' のサーバ要件:''
+
=== バージョン 2.5〜2.8 系 ===
 
* [[用語集#PHP|PHP]] バージョン 4.3 以上
 
* [[用語集#PHP|PHP]] バージョン 4.3 以上
 
* [[用語集#MySQL|MySQL]] バージョン 4.0 以上
 
* [[用語集#MySQL|MySQL]] バージョン 4.0 以上
* ''(オプション)'' [[用語集#Apache|Apache]] <code>[[用語集#mod_rewrite|mod_rewrite]]</code> モジュール([[パーマリンクの使い方|パーマリンク]] と呼ばれる簡潔な URI<!-- clean URIs --> のため)
 
  
'' '''バージョン 2.1~2.3 系''' のサーバ要件:''
+
=== バージョン 2.1~2.3 系 ===
 
* [[用語集#PHP|PHP]] バージョン 4.2 以上
 
* [[用語集#PHP|PHP]] バージョン 4.2 以上
 
* [[用語集#MySQL|MySQL]] バージョン 4.0 以上
 
* [[用語集#MySQL|MySQL]] バージョン 4.0 以上
* ''(オプション)'' [[用語集#Apache|Apache]] <code>[[用語集#mod_rewrite|mod_rewrite]]</code> モジュール([[パーマリンクの使い方|パーマリンク]] と呼ばれる簡潔な URI<!-- clean URIs --> のため)
 
  
'' '''バージョン 2.0.x 系''' のサーバ要件:''
+
=== バージョン 2.0.x 系 ===
 
* [[用語集#PHP|PHP]] バージョン 4.2 以上
 
* [[用語集#PHP|PHP]] バージョン 4.2 以上
 
* [[用語集#MySQL|MySQL]] バージョン 3.23.23 以上
 
* [[用語集#MySQL|MySQL]] バージョン 3.23.23 以上
* ''(オプション)'' [[用語集#Apache|Apache]] <code>[[用語集#mod_rewrite|mod_rewrite]]</code> モジュール([[パーマリンクの使い方|パーマリンク]] と呼ばれる簡潔な URI<!-- clean URIs --> のため)
+
 
 +
===共通オプション===
 +
上記すべてのバージョンに共通する、特定の機能を使う場合に必要なオプション。
 +
; [[用語集#Apache|Apache]] <code>[[用語集#mod_rewrite|mod_rewrite]]</code> モジュール
 +
: [[パーマリンクの使い方|パーマリンク]]と呼ばれる簡潔な URL 形式を使う場合。
 +
 
 
<noinclude>
 
<noinclude>
 +
==関連情報==
 +
; [[レンタルサーバ情報]]
 +
: WordPress 稼動実績のあるレンタルサーバに関する、設置・運用関連情報
 +
; [[FAQ/インストール]]
 +
: インストールに関するよくある質問集
 +
 
{{原文|Template:Server requirements|80026}} <!-- 2009-11-09T15:52:40 Otto42 版 -->
 
{{原文|Template:Server requirements|80026}} <!-- 2009-11-09T15:52:40 Otto42 版 -->
  

2009年11月26日 (木) 21:14時点における版

バージョン 2.9 系

  • PHP バージョン 4.3 以上
  • MySQL バージョン 4.1.2 以上

バージョン 2.5〜2.8 系

  • PHP バージョン 4.3 以上
  • MySQL バージョン 4.0 以上

バージョン 2.1~2.3 系

  • PHP バージョン 4.2 以上
  • MySQL バージョン 4.0 以上

バージョン 2.0.x 系

  • PHP バージョン 4.2 以上
  • MySQL バージョン 3.23.23 以上

共通オプション

上記すべてのバージョンに共通する、特定の機能を使う場合に必要なオプション。

Apache mod_rewrite モジュール
パーマリンクと呼ばれる簡潔な URL 形式を使う場合。


関連情報

レンタルサーバ情報
WordPress 稼動実績のあるレンタルサーバに関する、設置・運用関連情報
FAQ/インストール
インストールに関するよくある質問集

最新英語版: WordPress Codex » Template:Server requirements最新版との差分